Subject: RE: [rohc] whether ROHC (RFC 3095) supports the ipv4 packet which hasoption field?

From: "West, Mark" <[email-masked]>
Date: Mon, 23 Jul 2007 14:44:51 +0100

No, RFC 3095 does not support IPv4 with options.

See, for example, the definition of IP Header Length in A.1.2:

Header Length

      As long no options are present in the IP header, the header length
      is constant and well known.  If there are options, the fields
      would be STATIC, but it is assumed here that there are no options.
      The field is therefore classified as STATIC-KNOWN.

IP options are considered sufficiently rare that compressing them adds a lot of complexity for practically little gain.

Extension headers, such as AH, are compressed with a form of list compression as described in Section 5.8.4.

Cheers,

Mark.

-----Original Message-----
From: jincheng weng [mailto:[email-masked]]
Sent: 23 July 2007 14:29
To: [email-masked]
Subject: [rohc] whether ROHC (RFC 3095) supports the ipv4 packet which hasoption field?

Hi all:
   I want to ask a question:
1> whether ROHC (RFC 3095) supports the ipv4 packet which has option field? 
For example, how to compress the packets: ipv4(option) + AH?
for this packets, we should use list compression, I don't know list compression is for which fields.
Thanks!
Best wishes!
                                                  jincheng.weng
                                                      2007.7.23 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc